UDCLI(1)

NAME
udcli - CLI tool for quick disassembly of x86 and x86-64 instructions

SYNOPSIS
udcli [options] file

DESCRIPTION
udcli is a command-line front-end to the Udis86 disassembler library. It reads machine code and prints a disassembled representation of x86 or x86-64 instructions.

OPTIONS

-16 Set the disassembly mode to 16 bits.

-32 Set the disassembly mode to 32 bits (default).

-64 Set the disassembly mode to 64 bits.

-intel
    Use Intel (NASM-like) syntax for output (default).

-att
    Use AT&T (GAS-like) syntax.

-v vendor
    Set CPU vendor. vendor may be intel or amd.

-o pc
    Set the program counter to pc. Default is 0.

-s n
    Skip n bytes before starting disassembly.

-c n
    Disassemble only n bytes.

-x  Read input as whitespace-separated hexadecimal byte values. Example:
    0f 01 ae 00

-noff
    Do not display instruction offsets.

-nohex
    Do not display instruction byte encoding.

-eflags
    Display information about EFLAGS usage.

-access
    Display operand access information.

-implicit
    Display implicit registers used or modified by the instruction.

-h  Display help information.

--version
    Display program version.

EXAMPLE
Usage example:

echo "65 67 89 87 76 65 54 56 78 89 09 00 90" | udcli -32 -x

Example output:

0000000080000800 656789877665     mov [gs:bx+0x6576], eax
0000000080000806 54               push esp
0000000080000807 56               push esi
0000000080000808 7889             js 0x80000793
000000008000080a 0900             or [eax], eax
000000008000080c 90               nop

AUTHORS
This version of Udis86 is based on a fork of the original project by Willem (canihavesomecoffee). The original Udis86 project was written by Vivek Thampi.